<!--
Template for rendering strategy form.
@Author Majd Asab + Rami Shehto
-->
<div class="container">
  <h2>Submit strategy</h2>

  <form (ngSubmit)="onSubmit()" #twoMovingAverages="ngForm">

    <div class="form-group">
      <label for="equity">Equity</label>
      <select class="form-control" id="equity" [(ngModel)]="model.equity" name="equity" #name="ngModel" (change)="equity=$event.target.value" required >
        <option value="GE">General Electric (GE)</option>
        <option value="BAC">Bank of America (BAC)</option>
        <option value="DDE">Dover Downs Gaming&Entertainment (DDE)</option>
        <option value="CLF">Cleveland-Cliffs (CLF)</option>
        <option value="HAL">Halliburton (HAL)</option>
        <option value="T">AT&T (T)</option>
        <option value="F">Ford Motor (F)</option>
        <option value="CHK">Chesapeake Energy (CHK)</option>
        <option value="TWTR">Twitter (TWTR)</option>
        <option value="FCX">Freeport-McMoRan (FCX)</option>
        <option value="ABEV">Ambev ADR (ABEV)</option>
        <option value="ABX">Barrick Gold (ABX)</option>
        <option value="JCP">J.C. Penney (JCP)</option>
        <option value="VALE">Vale ADR (VALE)</option>
        <option value="PBR">Petroleo Brasileiro ADR (PBR)</option>
        <option value="WFC">Wells Fargo (WFC)</option>
        <option value="PFE">Pfizer (PFE)</option>
        <option value="BABA">Alibaba Group Holding ADR (BABA)</option>
        <option value="C">Citigroup (C)</option>
        <option value="GGP">GGP (GGP)</option>
        <option value="JPM">JPMorgan Chase (JPM)</option>
        <option value="RF">Regions Financial (RF)</option>
        <option value="ORCL">Oracle (ORCL)</option>
        <option value="SKX">Skechers USA Cl A (SKX)</option>
        <option value="KR">Kroger (KR)</option>
        <option value="NBR">Nabors Industries (NBR)</option>
        <option value="AKS">AK Steel Holding (AKS)</option>
        <option value="NOK">Nokia ADR (NOK)</option>
        <option value="VER">VEREIT (VER)</option>
        <option value="DNR">Denbury Resources (DNR)</option>
        <option value="AUY">Yamana Gold (AUY)</option>
        <option value="ITUB">Itau Unibanco Holding ADR (ITUB)</option>
        <option value="SWN">Southwestern Energy (SWN)</option>
        <option value="BMY">Bristol-Myers Squibb (BMY)</option>
        <option value="KEY">KeyCorp (KEY)</option>
        <option value="BK">Bank of New York Mellon (BK)</option>
        <option value="APRN">Blue Apron Holdings Cl A (APRN)</option>
        <option value="ESV">ENSCO (ESV)</option>
        <option value="SAN">Banco Santander ADR (SAN)</option>
        <option value="FCAU">Fiat Chrysler Automobiles (FCAU)</option>
        <option value="MRO">Marathon Oil (MRO)</option>
        <option value="SQ">Square Cl A (SQ)</option>
        <option value="VZ">Verizon Communications (VZ)</option>
        <option value="X">United States Steel (X)</option>
        <option value="SNAP">Snap (SNAP)</option>
        <option value="AA">Alcoa (AA)</option>
        <option value="FIT">Fitbit (FIT)</option>
        <option value="XOM">Exxon Mobil (XOM)</option>
        <option value="PAH">Platform Specialty Products (PAH)</option>
        <option value="M">Macy's (M)</option>
        <option value="IBN">ICICI Bank ADR (IBN)</option>
        <option value="RIG">Transocean (RIG)</option>
        <option value="GGB">Gerdau ADR (GGB)</option>
        <option value="PBRA">Petroleo Brasileiro ADR A (PBRA)</option>
        <option value="TSM">Taiwan Semiconductor Manufacturing ADR (TSM)</option>
        <option value="KO">Coca-Cola (KO)</option>
        <option value="GG">Goldcorp (GG)</option>
        <option value="SLB">Schlumberger (SLB)</option>
        <option value="CTL">CenturyLink (CTL)</option>
        <option value="STT">State Street (STT)</option>
        <option value="GM">General Motors (GM)</option>
        <option value="BB">BlackBerry (BB)</option>
        <option value="PM">Philip Morris International (PM)</option>
        <option value="USB">U.S. Bancorp (USB)</option>
        <option value="DIS">Walt Disney (DIS)</option>
        <option value="V">VISA Cl A (V)</option>
        <option value="JMEI">Jumei International Holding ADR (JMEI)</option>
        <option value="DWDP">DowDuPont (DWDP)</option>
        <option value="MS">Morgan Stanley (MS)</option>
        <option value="WFT">Weatherford International (WFT)</option>
        <option value="ITW">Illinois Tool Works (ITW)</option>
        <option value="RAD">Rite Aid (RAD)</option>
        <option value="KMI">Kinder Morgan (KMI)</option>
        <option value="ABBV">AbbVie (ABBV)</option>
        <option value="CGC">Canopy Growth (CGC)</option>
        <option value="COG">Cabot Oil&Gas (COG)</option>
        <option value="DB">Deutsche Bank (DB)</option>
        <option value="STM">STMicroelectronics (STM)</option>
        <option value="WTI">W&T Offshore (WTI)</option>
        <option value="PG">Procter&Gamble (PG)</option>
        <option value="LPI">Laredo Petroleum (LPI)</option>
        <option value="COP">ConocoPhillips (COP)</option>
        <option value="NE">Noble (NE)</option>
        <option value="MRK">Merck&Co (MRK)</option>
        <option value="CVS">CVS Health (CVS)</option>
        <option value="HPE">Hewlett Packard Enterprise (HPE)</option>
        <option value="ABT">Abbott Laboratories (ABT)</option>
        <option value="NCLH">Norwegian Cruise Line Holdings (NCLH)</option>
        <option value="HL">Hecla Mining (HL)</option>
        <option value="TEVA">Teva Pharmaceutical Industries ADR (TEVA)</option>
        <option value="HTZ">Hertz Global Holdings (HTZ)</option>
        <option value="HUYA">HUYA ADR (HUYA)</option>
        <option value="SLCA">U.S. Silica Holdings (SLCA)</option>
        <option value="BHGE">Baker Hughes a GE (BHGE)</option>
        <option value="BSX">Boston Scientific (BSX)</option>
        <option value="NLY">Annaly Capital Management (NLY)</option>
        <option value="OMC">Omnicom Group (OMC)</option>
        <option value="MT">ArcelorMittal ADR (MT)</option>
        <option value="WMB">Williams (WMB)</option>
        <option value="VIPS">Vipshop Holdings ADR (VIPS)</option>
      </select>
    </div>

    <div class="form-group">
      <label for="amount">Amount (USD)</label>
      <input type="number" class="form-control" id="amount" name="model.amount" [(ngModel)]="model.amount" #name="ngModel" (input)="amount=$event.target.value" required >
    </div>

    <div class="form-group">
      <label for="short">Short (min)</label>
      <input type="number" class="form-control" id="short" name="model.short" [(ngModel)]="model.short" #name="ngModel" (input)="short=$event.target.value" required>
    </div>

    <div class="form-group">
      <label for="long">Long (min)</label>
      <input type="number" class="form-control" id="long"  name="model.long" [(ngModel)]="model.long" #name="ngModel" (input)="long=$event.target.value" required>
    </div>

    <div class="form-group">
      <label for="profitCap">Profit Cap (%)</label>
      <input type="number" class="form-control" id="profitCap" name="model.profitCap" [(ngModel)]="model.profitCap" #name="ngModel" min="0.01" max="100" (input)="profitCap=$event.target.value" required>
    </div>

    <div class="form-group">
      <label for="lossCap">Loss Cap (%)</label>
      <input type="number" class="form-control" id="lossCap" min="0.01" max="100" name="model.lossCap" [(ngModel)]="model.lossCap" #name="ngModel" (input)="lossCap=$event.target.value" required>
    </div>

    <button type="submit" class="btn btn-success" [disabled]="!twoMovingAverages.form.valid">Submit</button>
    <button type="button" class="btn btn-secondary" (click)="this.twoMovingAverages.reset()">Reset</button>
    <!--<button type="button" class="btn btn-danger kill" [disabled]="!killActive" (click)="killStrategy()" >Kill active strategy</button>-->
  </form>
</div>
